.button,
.p-button {
  display: inline-flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  gap: 0.3rem;

  height: var(--v-button__height--default);

  position: relative;
  text-decoration: none;

  background-color: var(--v-color__1);
  color: var(--v-color__light);

  font-size: 80%;
  font-weight: var(--v-font-weight__default--bold);
  text-align: center;
  text-transform: uppercase;

  cursor: pointer;

  transition: var(--v-transition__default);

  padding: 0 1.5rem;
  margin-top: calc(var(--v-spacing__p) / 2);
  margin-bottom: calc(var(--v-spacing__p) / 2);

  max-width: 100%;

  border: none;
  border-radius: var(--v-border-radius__sm);
  overflow: hidden;
}

.button:hover,
.p-button:hover {
  background-color: var(--v-color__1--alt1);
  color: var(--v-color__light);
}

.p-button--alt1 {
  background-color: var(--v-color__light);
  color: var(--v-color__1);
}

@media (min-width: 1000px) {
  .button,
  .p-button {
    height: var(--v-button__height--default);
    padding-left: 2rem;
    padding-right: 2rem;
  }
}
